Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitore.vo.updatefornitore
Class FornitoreUpdateRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitore.vo.updatefornitore.FornitoreUpdateRequest

    public class FornitoreUpdateRequest

extends java.lang.Object

Field Summary
`private java.lang.String` | `capitaleSociale` Importo del capitale sociale.
`private java.lang.String` | `codiceDUNS` Codice DUNS.
`private java.lang.String` | `codiceSettoreEconomico` Codice del settore economico.
`private java.lang.String` | `codISTAComuneSedePugliese` Codice ISTAT del comune della sede pugliese.
`private java.lang.String` | `codISTATComuneSede` Codice ISTAT del comune o stato estero della sede principale.
`private java.lang.String` | `indirizzoPostaElettronica` Indirizzo di posta elettronica.
`private java.lang.String` | `indirizzoSede` Indirizzo della sede principale, elemento obbligatorio.
`private java.lang.String` | `indirizzoSedePugliese` Indirizzo della sede pugliese.
`private java.lang.String` | `nomeReferente` Nome del referente.
`private java.lang.String` | `numeroFax` Numero di FAX.
`private java.lang.String` | `numeroRegistroDitte` Numero del registro delle ditte (CCIA).
`private java.lang.String` | `numeroRegistroImprese` Numero del registro delle imprese (REA).
`private java.lang.String` | `numeroTelefonoFornitore` Numero di telefono.
`private java.lang.String` | `numeroTelefonoReferente` Numero di telefono del referente.
`private java.lang.String` | `partitaIVA` Partita IVA.
`private java.lang.String` | `ragioneSociale` Ragione Sociale.
`private java.lang.String` | `siglaStatoUE` Sigla dello Stato membro dell’UE.
`private java.lang.String` | `sitoInternet` Indirizzo del sito internet.
`private java.lang.String` | `tipoSede` Tipo sede pugliese.
`private java.lang.String` | `volumeAffari` Importo del volume di affari.

Constructor Summary
`FornitoreUpdateRequest()`

Method Summary
`java.lang.String` | `getCapitaleSociale()`
`java.lang.String` | `getCodiceDUNS()`
`java.lang.String` | `getCodiceSettoreEconomico()`
`java.lang.String` | `getCodISTAComuneSedePugliese()`
`java.lang.String` | `getCodISTATComuneSede()`
`java.lang.String` | `getIndirizzoPostaElettronica()`
`java.lang.String` | `getIndirizzoSede()`
`java.lang.String` | `getIndirizzoSedePugliese()`
`java.lang.String` | `getNomeReferente()`
`java.lang.String` | `getNumeroFax()`
`java.lang.String` | `getNumeroRegistroDitte()`
`java.lang.String` | `getNumeroRegistroImprese()`
`java.lang.String` | `getNumeroTelefonoFornitore()`
`java.lang.String` | `getNumeroTelefonoReferente()`
`java.lang.String` | `getPartitaIVA()`
`java.lang.String` | `getRagioneSociale()`
`java.lang.String` | `getSiglaStatoUE()`
`java.lang.String` | `getSitoInternet()`
`java.lang.String` | `getTipoSede()`
`java.lang.String` | `getVolumeAffari()`
`void` | `setCapitaleSociale(java.lang.String capitaleSociale)`
`void` | `setCodiceDUNS(java.lang.String codiceDUNS)`
`void` | `setCodiceSettoreEconomico(java.lang.String codiceSettoreEconomico)`
`void` | `setCodISTAComuneSedePugliese(java.lang.String codISTAComuneSedePugliese)`
`void` | `setCodISTATComuneSede(java.lang.String codISTATComuneSede)`
`void` | `setIndirizzoPostaElettronica(java.lang.String indirizzoPostaElettronica)`
`void` | `setIndirizzoSede(java.lang.String indirizzoSede)`
`void` | `setIndirizzoSedePugliese(java.lang.String indirizzoSedePugliese)`
`void` | `setNomeReferente(java.lang.String nomeReferente)`
`void` | `setNumeroFax(java.lang.String numeroFax)`
`void` | `setNumeroRegistroDitte(java.lang.String numeroRegistroDitte)`
`void` | `setNumeroRegistroImprese(java.lang.String numeroRegistroImprese)`
`void` | `setNumeroTelefonoFornitore(java.lang.String numeroTelefonoFornitore)`
`void` | `setNumeroTelefonoReferente(java.lang.String numeroTelefonoReferente)`
`void` | `setPartitaIVA(java.lang.String partitaIVA)`
`void` | `setRagioneSociale(java.lang.String ragioneSociale)`
`void` | `setSiglaStatoUE(java.lang.String siglaStatoUE)`
`void` | `setSitoInternet(java.lang.String sitoInternet)`
`void` | `setTipoSede(java.lang.String tipoSede)`
`void` | `setVolumeAffari(java.lang.String volumeAffari)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capitaleSociale

    @Facets(pattern="([\\-]?[0-9]+(,[0-9]{1,3})?)?")
    private java.lang.String capitaleSociale

  Importo del capitale sociale.

### codiceDUNS

    @Facets(pattern="[0-9]*",
            maxLength=9L)
    private java.lang.String codiceDUNS

  Codice DUNS.

### codiceSettoreEconomico

    @Facets(enumeration={"1","2","3","4"})
    private java.lang.String codiceSettoreEconomico

  Codice del settore economico. Potrà assumere i seguenti valori: 1 - AGRICOLTURA 2 - ARTIGIANATO 3 - COMMERCIO 4 - INDUSTRIA

### codISTAComuneSedePugliese

    @Facets(pattern="[0-9]*",
            maxLength=6L)
    private java.lang.String codISTAComuneSedePugliese

  Codice ISTAT del comune della sede pugliese.

### codISTATComuneSede

    @Facets(pattern="[0-9]*",
            maxLength=6L)
    private java.lang.String codISTATComuneSede

  Codice ISTAT del comune o stato estero della sede principale.

### indirizzoPostaElettronica

    @Facets(pattern="(([0-9a-zA-Z]+[\\-._+&])*[0-9a-zA-Z]+@([\\-0-9a-zA-Z]+[.])+[a-zA-Z]{2,6})?",
            maxLength=30L)
    private java.lang.String indirizzoPostaElettronica

  Indirizzo di posta elettronica.

### indirizzoSede

    @Facets(pattern="[a-zA-Z]+",
            maxLength=30L)
    private java.lang.String indirizzoSede

  Indirizzo della sede principale, elemento obbligatorio.

### indirizzoSedePugliese

    @Facets(pattern="[0-9]*",
            maxLength=30L)
    private java.lang.String indirizzoSedePugliese

  Indirizzo della sede pugliese.

### nomeReferente

    @Facets(pattern="[a-zA-Z]*",
            maxLength=30L)
    private java.lang.String nomeReferente

  Nome del referente.

### numeroFax

    @Facets(pattern="[a-zA-Z0-9]*",
            maxLength=15L)
    private java.lang.String numeroFax

  Numero di FAX.

### numeroRegistroDitte

    @Facets(pattern="[0-9]*",
            maxLength=4L)
    private java.lang.String numeroRegistroDitte

  Numero del registro delle ditte (CCIA).

### numeroRegistroImprese

    @Facets(pattern="[0-9]*",
            maxLength=9L)
    private java.lang.String numeroRegistroImprese

  Numero del registro delle imprese (REA).

### numeroTelefonoFornitore

    @Facets(pattern="[a-zA-Z0-9]*",
            maxLength=15L)
    private java.lang.String numeroTelefonoFornitore

  Numero di telefono.

### numeroTelefonoReferente

    @Facets(pattern="[a-zA-Z0-9]*",
            maxLength=30L)
    private java.lang.String numeroTelefonoReferente

  Numero di telefono del referente.

### partitaIVA

    @Facets(pattern="[0-9]+",
            length=13L)
    private java.lang.String partitaIVA

  Partita IVA.

### ragioneSociale

    @Facets(pattern="[a-zA-Z]+",
            maxLength=30L)
    private java.lang.String ragioneSociale

  Ragione Sociale.

### siglaStatoUE

    @Facets(enumeration={"AT","BE","BG","CY","DK","EE","FI","FR","DE","GB","EL","IE","IT","LV","LT","LU","MT","NL","PL","PT","CZ","RO","SK","SI","ES","SE","HU"})
    private java.lang.String siglaStatoUE

  Sigla dello Stato membro dell’UE.

### sitoInternet

    @Facets(maxLength=30L)
    private java.lang.String sitoInternet

  Indirizzo del sito internet.

### tipoSede

    @Facets(enumeration={"1","2","3"})
    private java.lang.String tipoSede

  Tipo sede pugliese. Potrà assumere i seguenti valori: 1 - DEPOSITARIO 2 - UFFICIO DI RAPPRESENTANZA 3 - AGENTE ESCLUSIVISTA

### volumeAffari

    @Facets(pattern="([\\-]?[0-9]+(,[0-9]{1,3})?)?")
    private java.lang.String volumeAffari

  Importo del volume di affari.

Constructor Detail

### FornitoreUpdateRequest

    public FornitoreUpdateRequest()

Method Detail

### getCapitaleSociale

    public java.lang.String getCapitaleSociale()

### getCodiceDUNS

    public java.lang.String getCodiceDUNS()

### getCodiceSettoreEconomico

    public java.lang.String getCodiceSettoreEconomico()

### getCodISTAComuneSedePugliese

    public java.lang.String getCodISTAComuneSedePugliese()

### getCodISTATComuneSede

    public java.lang.String getCodISTATComuneSede()

### getIndirizzoPostaElettronica

    public java.lang.String getIndirizzoPostaElettronica()

### getIndirizzoSede

    public java.lang.String getIndirizzoSede()

### getIndirizzoSedePugliese

    public java.lang.String getIndirizzoSedePugliese()

### getNomeReferente

    public java.lang.String getNomeReferente()

### getNumeroFax

    public java.lang.String getNumeroFax()

### getNumeroRegistroDitte

    public java.lang.String getNumeroRegistroDitte()

### getNumeroRegistroImprese

    public java.lang.String getNumeroRegistroImprese()

### getNumeroTelefonoFornitore

    public java.lang.String getNumeroTelefonoFornitore()

### getNumeroTelefonoReferente

    public java.lang.String getNumeroTelefonoReferente()

### getPartitaIVA

    public java.lang.String getPartitaIVA()

### getRagioneSociale

    public java.lang.String getRagioneSociale()

### getSiglaStatoUE

    public java.lang.String getSiglaStatoUE()

### getSitoInternet

    public java.lang.String getSitoInternet()

### getTipoSede

    public java.lang.String getTipoSede()

### getVolumeAffari

    public java.lang.String getVolumeAffari()

### setCapitaleSociale

    public void setCapitaleSociale(java.lang.String capitaleSociale)

### setCodiceDUNS

    public void setCodiceDUNS(java.lang.String codiceDUNS)

### setCodiceSettoreEconomico

    public void setCodiceSettoreEconomico(java.lang.String codiceSettoreEconomico)

### setCodISTAComuneSedePugliese

    public void setCodISTAComuneSedePugliese(java.lang.String codISTAComuneSedePugliese)

### setCodISTATComuneSede

    public void setCodISTATComuneSede(java.lang.String codISTATComuneSede)

### setIndirizzoPostaElettronica

    public void setIndirizzoPostaElettronica(java.lang.String indirizzoPostaElettronica)

### setIndirizzoSede

    public void setIndirizzoSede(java.lang.String indirizzoSede)

### setIndirizzoSedePugliese

    public void setIndirizzoSedePugliese(java.lang.String indirizzoSedePugliese)

### setNomeReferente

    public void setNomeReferente(java.lang.String nomeReferente)

### setNumeroFax

    public void setNumeroFax(java.lang.String numeroFax)

### setNumeroRegistroDitte

    public void setNumeroRegistroDitte(java.lang.String numeroRegistroDitte)

### setNumeroRegistroImprese

    public void setNumeroRegistroImprese(java.lang.String numeroRegistroImprese)

### setNumeroTelefonoFornitore

    public void setNumeroTelefonoFornitore(java.lang.String numeroTelefonoFornitore)

### setNumeroTelefonoReferente

    public void setNumeroTelefonoReferente(java.lang.String numeroTelefonoReferente)

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

### setRagioneSociale

    public void setRagioneSociale(java.lang.String ragioneSociale)

### setSiglaStatoUE

    public void setSiglaStatoUE(java.lang.String siglaStatoUE)

### setSitoInternet

    public void setSitoInternet(java.lang.String sitoInternet)

### setTipoSede

    public void setTipoSede(java.lang.String tipoSede)

### setVolumeAffari

    public void setVolumeAffari(java.lang.String volumeAffari)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD